perl-Perl-Critic-Bangs-1.100.0-8.mga6.noarch.rpm


Advertisement

Description

perl-Perl-Critic-Bangs - Adding modifiers to a regular expression made up entirely of a variable created with qr() is usually not doing what you expect

Property Value
Distribution Mageia 6.1
Repository Mageia Core i586
Package name perl-Perl-Critic-Bangs
Package version 1.100.0
Package release 8.mga6
Package architecture noarch
Package type rpm
Installed size 55.43 KB
Download size 32.90 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
This is a test diagnostic.

Alternatives

Package Version Architecture Repository
perl-Perl-Critic-Bangs-1.100.0-8.mga6.noarch.rpm 1.100.0 noarch Mageia Core
perl-Perl-Critic-Bangs - - -

Requires

Name Value
perl >= 0:5.006001
perl(List::MoreUtils) -
perl(PPI::Cache) -
perl(PPI::Document) -
perl(Perl::Critic) >= 1.98.0
perl(Perl::Critic::Policy) -
perl(Perl::Critic::PolicyFactory) -
perl(Perl::Critic::PolicyParameter) -
perl(Perl::Critic::TestUtils) -
perl(Perl::Critic::UserProfile) -
perl(Perl::Critic::Utils) -
perl(Perl::Critic::Violation) -
perl(Readonly) -
perl(Test::More) >= 0.960.0
perl(Test::Perl::Critic) >= 1.10.0
perl(base) -
perl(strict) -
perl(warnings) -
perl-base >= 2:5.22.2

Provides

Name Value
perl(Perl::Critic::Bangs) == 1.100.0
perl(Perl::Critic::Policy::Bangs::ProhibitBitwiseOperators) == 1.100.0
perl(Perl::Critic::Policy::Bangs::ProhibitCommentedOutCode) == 1.100.0
perl(Perl::Critic::Policy::Bangs::ProhibitDebuggingModules) == 1.100.0
perl(Perl::Critic::Policy::Bangs::ProhibitFlagComments) == 1.100.0
perl(Perl::Critic::Policy::Bangs::ProhibitNoPlan) == 1.100.0
perl(Perl::Critic::Policy::Bangs::ProhibitNumberedNames) == 1.100.0
perl(Perl::Critic::Policy::Bangs::ProhibitRefProtoOrProto) == 1.100.0
perl(Perl::Critic::Policy::Bangs::ProhibitUselessRegexModifiers) == 1.100.0
perl(Perl::Critic::Policy::Bangs::ProhibitVagueNames) == 1.100.0
perl-Perl-Critic-Bangs == 1.100.0-8.mga6

Download

Type URL
Binary Package perl-Perl-Critic-Bangs-1.100.0-8.mga6.noarch.rpm
Source Package perl-Perl-Critic-Bangs-1.100.0-8.mga6.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-Perl-Critic-Bangs rpm package:
    # urpmi perl-Perl-Critic-Bangs

Files

Path
/usr/lib/perl5/vendor_perl/5.22.2/Perl/
/usr/lib/perl5/vendor_perl/5.22.2/Perl/Critic/Bangs.pm
/usr/lib/perl5/vendor_perl/5.22.2/Perl/Critic/Policy/
/usr/lib/perl5/vendor_perl/5.22.2/Perl/Critic/Policy/Bangs/ProhibitBitwiseOperators.pm
/usr/lib/perl5/vendor_perl/5.22.2/Perl/Critic/Policy/Bangs/ProhibitCommentedOutCode.pm
/usr/lib/perl5/vendor_perl/5.22.2/Perl/Critic/Policy/Bangs/ProhibitDebuggingModules.pm
/usr/lib/perl5/vendor_perl/5.22.2/Perl/Critic/Policy/Bangs/ProhibitFlagComments.pm
/usr/lib/perl5/vendor_perl/5.22.2/Perl/Critic/Policy/Bangs/ProhibitNoPlan.pm
/usr/lib/perl5/vendor_perl/5.22.2/Perl/Critic/Policy/Bangs/ProhibitNumberedNames.pm
/usr/lib/perl5/vendor_perl/5.22.2/Perl/Critic/Policy/Bangs/ProhibitRefProtoOrProto.pm
/usr/lib/perl5/vendor_perl/5.22.2/Perl/Critic/Policy/Bangs/ProhibitUselessRegexModifiers.pm
/usr/lib/perl5/vendor_perl/5.22.2/Perl/Critic/Policy/Bangs/ProhibitVagueNames.pm
/usr/share/doc/perl-Perl-Critic-Bangs/Changes
/usr/share/doc/perl-Perl-Critic-Bangs/META.json
/usr/share/doc/perl-Perl-Critic-Bangs/META.yml
/usr/share/doc/perl-Perl-Critic-Bangs/MYMETA.yml
/usr/share/doc/perl-Perl-Critic-Bangs/README
/usr/share/doc/perl-Perl-Critic-Bangs/TODO
/usr/share/man/man3/Perl::Critic::Bangs.3pm.xz
/usr/share/man/man3/Perl::Critic::Policy::Bangs::ProhibitBitwiseOperators.3pm.xz
/usr/share/man/man3/Perl::Critic::Policy::Bangs::ProhibitCommentedOutCode.3pm.xz
/usr/share/man/man3/Perl::Critic::Policy::Bangs::ProhibitDebuggingModules.3pm.xz
/usr/share/man/man3/Perl::Critic::Policy::Bangs::ProhibitFlagComments.3pm.xz
/usr/share/man/man3/Perl::Critic::Policy::Bangs::ProhibitNoPlan.3pm.xz
/usr/share/man/man3/Perl::Critic::Policy::Bangs::ProhibitNumberedNames.3pm.xz
/usr/share/man/man3/Perl::Critic::Policy::Bangs::ProhibitRefProtoOrProto.3pm.xz
/usr/share/man/man3/Perl::Critic::Policy::Bangs::ProhibitUselessRegexModifiers.3pm.xz
/usr/share/man/man3/Perl::Critic::Policy::Bangs::ProhibitVagueNames.3pm.xz

Changelog

2016-06-19 - pterjan <pterjan> 1.100.0-8.mga6
+ Revision: 1031961
- Rebuild for perl 5.22.2
2016-02-08 - umeabot <umeabot> 1.100.0-7.mga6
+ Revision: 948565
- Mageia 6 Mass Rebuild
2014-10-18 - umeabot <umeabot> 1.100.0-6.mga5
+ Revision: 788019
- Rebuild to potentially add missing dependencies
2014-10-15 - umeabot <umeabot> 1.100.0-5.mga5
+ Revision: 750078
- Second Mageia 5 Mass Rebuild
2014-09-16 - umeabot <umeabot> 1.100.0-4.mga5
+ Revision: 685924
- Mageia 5 Mass Rebuild
2013-10-18 - umeabot <umeabot> 1.100.0-3.mga4
+ Revision: 514095
- Mageia 4 Mass Rebuild

See Also

Package Description
perl-Perl-Critic-Compatibility-1.1.0-7.mga6.noarch.rpm Don't allow three-argument open unless the code uses a version of perl that supports it
perl-Perl-Critic-Deprecated-1.119.0-5.mga6.noarch.rpm Write C<$my_variable = 42> instead of C<$MyVariable = 42>
perl-Perl-Critic-Lax-0.11.0-6.mga6.noarch.rpm Policies that let you slide on common exceptions
perl-Perl-Critic-More-1.3.0-5.mga6.noarch.rpm Stop mixing long strings with code
perl-Perl-Critic-Nits-1.0.0-7.mga6.noarch.rpm Policies of nits I like to pick
perl-Perl-Critic-PetPeeves-JTRAMMELL-0.40.0-7.mga6.noarch.rpm Prohibit superfluous initializations
perl-Perl-Critic-Pulp-90.0.0-3.mga6.noarch.rpm Don't use Foo:: style barewords
perl-Perl-Critic-Storable-0.10.0-7.mga6.noarch.rpm Perl::Critic policy for using Storable
perl-Perl-Critic-StricterSubs-0.50.0-3.mga6.noarch.rpm Perl::Critic plugin for stricter subroutine checks
perl-Perl-Critic-Swift-1.0.3-7.mga6.noarch.rpm Additional policies for Perl::Critic
perl-Perl-Critic-Tics-0.9.0-5.mga6.noarch.rpm (this => is => not => good)
perl-Perl-Destruct-Level-0.20.0-13.mga6.i586.rpm Allow to change perl's destruction level
perl-Perl-Metrics-Simple-0.180.0-3.mga6.noarch.rpm Methods analyzing a single file
perl-Perl-MinimumVersion-1.380.0-6.mga6.noarch.rpm Find a minimum required version of perl for Perl code
perl-Perl-OSType-1.9.0-3.mga6.noarch.rpm Map Perl operating system names to generic types
Advertisement
Advertisement